export interface BaseWorkshopInfoVO {
  /**
   * 车间ID
   */
  workshopId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 车间编号
   */
  workshopCode: string;

  /**
   * 车间名称
   */
  workshopName: string;

  /**
   * 所属工厂
   */
  factoryId: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseWorkshopInfoForm extends BaseEntity {
  /**
   * 车间ID
   */
  workshopId?: string | number;

  /**
   * 车间编号
   */
  workshopCode?: string;

  /**
   * 车间名称
   */
  workshopName?: string;

  /**
   * 所属工厂
   */
  factoryId?: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseWorkshopInfoQuery extends PageQuery {

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 车间编号
   */
  workshopCode?: string;

  /**
   * 车间名称
   */
  workshopName?: string;

  /**
   * 所属工厂
   */
  factoryId?: string | number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



